SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes

# SDH::cDSA::sControllerInfo Struct Reference

A data structure describing the controller info about the remote DSACON32m controller. More...

`#include <dsa.h>`

List of all members.

## Public Attributes
UInt16 | error_code
UInt32 | serial_no
UInt8 | hw_version
UInt16 | sw_version
UInt8 | status_flags
UInt8 | feature_flags
UInt8 | senscon_type
UInt8 | active_interface
UInt32 | can_baudrate
UInt16 | can_id

## Detailed Description

A data structure describing the controller info about the remote DSACON32m controller.

## Member Data Documentation

UInt8 SDH::cDSA::sControllerInfo::active_interface

UInt32 SDH::cDSA::sControllerInfo::can_baudrate

UInt16 SDH::cDSA::sControllerInfo::can_id

UInt16 SDH::cDSA::sControllerInfo::error_code

UInt8 SDH::cDSA::sControllerInfo::feature_flags

UInt8 SDH::cDSA::sControllerInfo::hw_version

UInt8 SDH::cDSA::sControllerInfo::senscon_type

UInt32 SDH::cDSA::sControllerInfo::serial_no

UInt8 SDH::cDSA::sControllerInfo::status_flags

UInt16 SDH::cDSA::sControllerInfo::sw_version

The documentation for this struct was generated from the following file:

- sdh/dsa.h